@tool
extends Node
class_name AbstractRoomRepo

signal connected
signal not_connected

var _selected_room = null

func list_rooms() -> Array[RoomEntity]:
	return []

func set_selected_room(value):
	_selected_room = value

func get_selected_room():
	return _selected_room
